#
# spec file for package curl (Version 7.15.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  openssl openssl-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool openssl-devel perl rpm

Name:         curl
Obsoletes:    curl_ssl
Provides:     curl_ssl
Version:      7.15.1
Release:      1
Autoreqprov:  on
License:      MPL
Group:        Productivity/Networking/Web/Utilities
Summary:      A tool for transferring data from URLs
Url:          http://curl.haxx.se/
Source:       %{name}-%{version}.tar.bz2
Patch2:       %{name}-%{version}-lfs.patch
Patch3:       %{name}-%{version}-aliasing.patch
Patch4:       %{name}-%{version}-ipv6tests.patch
Patch5:       %{name}-%{version}-epsv-firewall.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Curl is a client to get documents and files from or send documents to a
server using any of the supported protocols (HTTP, HTTPS, FTP, GOPHER,
DICT, TELNET, LDAP, or FILE). The command is designed to work without
user interaction or any kind of interactivity.



Authors:
--------
    Daniel Stenberg <Daniel.Stenberg@haxx.se>

%package devel
Summary:      Header Files and Libraries for cURL Development
Group:        Development/Libraries/C and C++
Requires:     curl = %{version} zlib-devel openssl-devel glibc-devel
Provides:     curlssld
Obsoletes:    curlssld

%description devel
This package provides the header files and libraries for cURL
development.



Authors:
--------
    Daniel Stenberg <Daniel.Stenberg@haxx.se>

%prep
%setup -q
%patch2
%patch3
%patch4
%patch5

%build
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                      --prefix=%{_prefix} \
                      --enable-ipv6 \
                      --with-ssl \
		      --libdir=%{_libdir}
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc CHANGES README 
%doc docs/{BUGS,CONTRIBUTE,FAQ,FEATURES,INTERNALS,MANUAL,RESOURCES,TODO,TheArtOfHttpScripting}
%{_prefix}/bin/curl
%{_libdir}/libcurl.so.*
%{_libdir}/libcurl.la
%doc %{_mandir}/man1/curl.1.gz
/usr/share/curl

%files devel
%defattr(-,root,root)
%{_prefix}/bin/curl-config
%{_prefix}/include/curl
#%{_prefix}/lib/libcurl.la
%{_libdir}/libcurl.a
%{_libdir}/libcurl.so
%{_libdir}/pkgconfig/libcurl.pc
%doc %{_mandir}/man1/curl-config.1.gz
%doc %{_mandir}/man3/*

%changelog -n curl
* Mon Jan 23 2006 - mmarek@suse.cz
- fallback to PASV if some firewall doesn't let an EPSV connection
  trough
* Thu Jan 12 2006 - mmarek@suse.cz
- build with -fstack-protector
- add dependency on curl = %%{version} to curl-devel
* Tue Jan 10 2006 - mmarek@suse.cz
- remove non-existent path /usr/ssl, which caused -L/usr/ssl/lib to
  appeared in curl-config output
- use make -j
* Tue Dec 13 2005 - mmarek@suse.cz
- updated to 7.15.1, fixing previous vulnerabilities
* Thu Oct 13 2005 - mmarek@suse.cz
- fix stack buffer overflow in lib/http_ntlm.c [#128065]
* Mon Oct 10 2005 - mmarek@suse.cz
- updated to 7.14.1
- updated curl-7.14.1-aliasing.patch
* Mon Jun 20 2005 - anicka@suse.cz
- update to 7.14.0
- remove obsolete patch curl-ntlm.patch
* Tue Apr 12 2005 - tcrhak@suse.cz
- packaged curl-ca-bundle.crt (bug #64301)
* Thu Feb 24 2005 - meissner@suse.de
- enable make test. fixed test 241 to use ::1 directly.
* Tue Feb 22 2005 - mcihar@suse.cz
- fix buffer overflow in NTLM (bug #65752)
* Tue Feb 08 2005 - mcihar@suse.cz
- update to 7.13.0
* Wed Aug 11 2004 - tcrhak@suse.cz
- update to 7.12.0
* Wed Apr 28 2004 - tcrhak@suse.cz
- strict aliasing fix
* Tue Mar 16 2004 - tcrhak@suse.cz
- fix for lfs for in transfer.c (bug #36040)
* Wed Feb 25 2004 - tcrhak@suse.cz
- ignore leading slashes of url-path in URLs like
  ftp://user@name//url-path, i.e don't change to the
  root directory (RFC 1738, bug #34471)
* Tue Feb 10 2004 - tcrhak@suse.cz
- update to version 7.11.0
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Nov 05 2003 - tcrhak@suse.cz
- added large file support, patch lfs [bug #32411]
* Thu Sep 04 2003 - tcrhak@suse.cz
- require zlib-devel, openssl-devel and glibc-devel in curl-devel [bug #29881]
* Fri Aug 08 2003 - tcrhak@suse.cz
- terminate array of directory components by NULL (bug #28351, patch dirs)
* Wed Jul 23 2003 - tcrhak@suse.cz
- update to version 7.10.5
* Tue Jun 03 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Wed Nov 27 2002 - tcrhak@suse.cz
- update to version 7.10.2
- moved curl-config.1.gz to the devel subpackage [bug #21966]
* Sat Jul 13 2002 - tcrhak@suse.cz
- update to version 7.9.8
- added automake
* Fri Jan 18 2002 - tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
- update to 7.9.2
* Fri Oct 19 2001 - ro@suse.de
- do not pack shared library into both, main and devel package
* Mon Oct 08 2001 - tcrhak@suse.cz
- update to version 7.9
* Fri Sep 21 2001 - adostal@suse.cz
- fix manual in man.patch
* Tue Aug 21 2001 - adostal@suse.cz
- update to version 7.8.1
* Wed Jul 18 2001 - adostal@suse.cz
- files devel fixed
* Mon Jul 02 2001 - adostal@suse.cz
- update to version 7.8
* Wed Jun 13 2001 - ro@suse.de
- fixed to compile with new autoconf
* Mon Apr 09 2001 - cihlar@suse.cz
- update to version 7.7.1
* Tue Mar 06 2001 - cihlar@suse.cz
- update to version 7.6.1
* Wed Jan 03 2001 - cihlar@suse.cz
- fixed Provides and Obsoletes also for curl-devel
* Tue Dec 19 2000 - cihlar@suse.cz
- fixed name
- added Obsoletes: curl_ssl
* Mon Dec 18 2000 - cihlar@suse.cz
- changed to ssl support
* Thu Nov 16 2000 - cihlar@suse.cz
- renamed curldev -> curl-devel
- update to version 7.4.2
* Tue Oct 17 2000 - cihlar@suse.cz
- update to version 7.4.1 - security bug fixed
* Wed Aug 30 2000 - cihlar@suse.cz
- package created
